Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.saxonica.validate
Class AssertionTreeBuilder

    java.lang.Object
      net.sf.saxon.event.SequenceReceiver
          net.sf.saxon.event.TeeOutputter
              com.saxonica.validate.AssertionTreeBuilder

All Implemented Interfaces:
  Result, Receiver

    public class AssertionTreeBuilder

extends TeeOutputter

This class sits in the validation pipeline, ready (when requested) to build subtrees of the validated document for use in testing assertions against complex types. If no assertions are active, the class passes input events through unchanged. If one or more assertions is active, it builds a tree corresponding to the outermost active assertion. The nodes added to the tree will be typed. In the case of an element node, the type annotation is added during the endElement call, after testing assertions against that element, to satisfy the rule that when an assertion is evaluated, the target element has type AnyType but its attributes and descendants are typed according to the appropriate schema declarations.

Field Summary

Fields inherited from class net.sf.saxon.event.SequenceReceiver
`pipelineConfiguration, previousAtomic, systemId`

Fields inherited from interface javax.xml.transform.Result
`PI_DISABLE_OUTPUT_ESCAPING, PI_ENABLE_OUTPUT_ESCAPING`

Constructor Summary
`AssertionTreeBuilder(Receiver next)`

Method Summary
`void` | `activate(Builder builder)`
`void` | `deactivate()`

Methods inherited from class net.sf.saxon.event.TeeOutputter
`append, attribute, characters, close, comment, endDocument, endElement, getFirstDestination, getSecondDestination, namespace, open, processingInstruction, setFirstDestination, setSecondDestination, startContent, startDocument, startElement, usesTypeAnnotations`

Methods inherited from class net.sf.saxon.event.SequenceReceiver
`append, getConfiguration, getNamePool, getPipelineConfiguration, getSystemId, setPipelineConfiguration, setSystemId, setUnparsedEntity`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AssertionTreeBuilder

    public AssertionTreeBuilder(Receiver next)

Method Detail

### activate

    public void activate(Builder builder)

### deactivate

    public void deactivate()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 2004-2011 Saxonica Limited. All rights reserved.